Subject: Re: bug#1305: All code that currently beeps should use visual bell instead

From: Stefan Kangas <[email-masked]>
Date: Sun, 25 Apr 2021 15:06:20 -0500

Lars Ingebrigtsen <[email-masked]> writes:

> Oh, I see -- I imagined that visible-bell had precedence over
> ring-bell-function (without testing that).
>
> But then I guess flipping the default on visible-bell won't have the
> adverse effects on the popular Emacs distributions that I was worried
> about?

Looks like it, yes.  I guess the main thing to be fixed before we could
change the default is to figure out what to do about the visible bell on
macOS.  The other changes discussed in this thread would be very useful
to continue working on, but they seem orthogonal to me.